> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event

> Returns details for a single event by ID.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /events/{id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /events/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Event ID
    get:
      tags:
        - Events
      summary: Get Event
      description: Returns details for a single event by ID.
      operationId: get-event
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Name is required:
                  value:
                    code: EVT-200
                    error: Name is required
                Event ID exceeds maximum length:
                  value:
                    code: EVT-200
                    error: Event ID exceeds maximum length
                Admin comments exceeds maximum length:
                  value:
                    code: EVT-200
                    error: Admin comments exceeds maximum length
                Comments exceeds maximum length:
                  value:
                    code: EVT-200
                    error: Comments exceeds maximum length
                Invalid custom field:
                  value:
                    code: EVT-200
                    error: Invalid custom field
                Custom field value exceeds maximum length:
                  value:
                    code: EVT-200
                    error: Custom field value exceeds maximum length
                Date is required:
                  value:
                    code: EVT-300
                    error: Date is required
                Location is required:
                  value:
                    code: EVT-400
                    error: Location is required
                Invalid date format:
                  value:
                    code: EVT-500
                    error: Invalid date format
                Invalid client_id:
                  value:
                    code: EVT-600
                    error: Invalid client_id
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Event not found:
                  value:
                    code: EVT-700
                    error: Event not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: EVT-1000
                    error: An unexpected error occurred
components:
  schemas:
    Event:
      title: Event
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        date:
          type: string
          format: date
        event_id:
          type: string
        client_id:
          type: string
        created:
          type: string
          format: date
        location:
          $ref: '#/components/schemas/Location'
        admin_origin:
          $ref: '#/components/schemas/EventManager'
        reviewer:
          $ref: '#/components/schemas/EventManager'
        time_tracking_manager:
          $ref: '#/components/schemas/EventManager'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomField'
        areas:
          type: array
          nullable: true
          description: Areas/zones assigned to the event. Null if none.
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
    Location:
      title: Location
      type: object
      properties:
        id:
          type: string
          description: Location identifier
        location:
          type: string
          description: Location name
        addy_street_number:
          type: string
          description: Street address
        addy_city:
          type: string
          description: City
        addy_zip:
          type: string
          description: ZIP/postal code
        location_comments:
          type: string
          nullable: true
          description: Additional comments
        default:
          type: integer
          nullable: true
          minimum: 0
          maximum: 1
          description: Whether this is the default location (0 or 1)
        saved:
          type: integer
          nullable: true
          minimum: 0
          maximum: 1
          description: Whether the location is saved (0 or 1)
        color:
          type: string
          nullable: true
          description: Hex color code
          example: '#DC136C'
        timezone:
          type: object
          description: Location timezone
          properties:
            id:
              type: integer
              nullable: true
              description: Timezone identifier
            name:
              type: string
              nullable: true
              description: Timezone name
            offset:
              type: string
              nullable: true
              description: UTC offset
        companies_payroll_rulesets_id:
          type: string
          nullable: true
          description: Associated payroll ruleset ID
        payroll_rule_display:
          type: string
          nullable: true
          description: Payroll rule display name
        latitude:
          type: string
          nullable: true
          description: GPS latitude coordinate
        longitude:
          type: string
          nullable: true
          description: GPS longitude coordinate
        default_clients_id:
          type: string
          nullable: true
          description: Default client hashed ID
        default_areas:
          type: array
          description: Default area IDs
          items:
            type: string
    EventManager:
      title: EventManager
      type: object
      properties:
        personnel_id:
          type: string
        name:
          type: string
    CustomField:
      title: CustomField
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        value:
          type: string
        options:
          type: array
          description: Available options for this custom field (e.g., dropdown choices).
          items:
            type: object
            properties:
              title:
                type: string
              value:
                type: string
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````